using System.Diagnostics;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace XMLParserTest
{
    [TestClass]
    public class ParserTest
    {
        [TestMethod]
        public void TestMethod1()
        {
            /*XMLParser.XMLParse xml = new XMLParser.XMLParse("input.xml");
            IEnumerable<string> datumsDistinct = xml.KanalObjekte.Select(x => x.Inspektionsdaten.OptischeInspektion.Inspektionsdatum).Distinct();
            foreach(string aktuellDatum in datumsDistinct) {
                var m = xml.KanalObjekte.FindAll(x => x.Inspektionsdaten.OptischeInspektion.Inspektionsdatum.Equals(aktuellDatum));
                Debugger.Break();
            }
            */
        }
    }
}
